Changeset 3012


Ignore:
Timestamp:
Sep 9, 2010 1:17:23 PM (9 years ago)
Author:
wehart
Message:

Updates and bug fixes while testing the database connectivity with pyodbc.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • coopr.pyomo/trunk/coopr/pyomo/data/db_table.py

    r3010 r3012  
    1212from TableData import TableData
    1313from pyutilib.component.core import alias
     14from decimal import Decimal
     15
    1416
    1517# format=
     
    2426        TableData.__init__(self)
    2527
     28
    2629    def open(self):
    2730        if self.filename is None:
    2831            raise IOError, "No data source name was specified"
     32        if self.filename[0] == '"':
     33            self.filename = self.filename[1:-1]
    2934        #
    3035        # Initialize self.db
     
    3641            try:
    3742                self.db = self.connect(self.filename, self.options)
    38             except pyutilib.ApplicationError:
     43            except Exception:
    3944                raise
    4045
     
    4550        if self.db is None:
    4651            return
    47         tmp = self.db.get_table(self.options.table, raw=True)
     52        cursor = self.db.cursor()
     53        # Read the foods table
     54        #print "\nReading foods:\n"
     55        tmp = []
     56        print "DATA start",self.options.query
     57        cursor.execute(self.options.query[1:-1])
     58        for row in cursor:
     59            print "DATA",list(row)
     60            for data in list(row):
     61                if isinstance(data,Decimal):
     62                    tmp.append(float(data))
     63                elif data is None:
     64                    tmp.append('.')
     65                else:
     66                    tmp.append(data)
     67        print 'FINAL',tmp
    4868        #
    4969        # Process data from the table
     
    7494            if not options.password is None:
    7595                args.append(options.password)
     96            print "XXX",args
    7697            return mod.connect(*args)
    7798        except ImportError:
Note: See TracChangeset for help on using the changeset viewer.